import { Locale } from "@/i18n/routing";

import MiddleHeader from "./middle-header";
import Navigation from "./navigation";
import TopBar from "./top-bar-2";

export default function Header({ locale }: { locale: Locale }) {
  return (
    <header className="w-full">
      <TopBar locale={locale} />
      <div className="relative mx-4 py-5 mb-4 sm:mx-12 lg:mx-28">
        <MiddleHeader locale={locale} />
      </div>
      <div className="relative top-0 bg-custom-primary" style={{ zIndex: "99" }}>
        <div className="relative mx-4 sm:mx-12 lg:mx-28">
          <Navigation locale={locale} />
        </div>
      </div>
    </header>
  );
}
